Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 3.2.4 generated on January 7 2005
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kodo.jdbc.schema
Class LazySchemaFactory

    java.lang.Object
      |
      +--kodo.jdbc.schema.NameSet
            |
            +--kodo.jdbc.schema.SchemaGroup
                  |
                  +--kodo.jdbc.schema.LazySchemaFactory

All Implemented Interfaces:
  Cloneable, Configurable, SchemaFactory

public class LazySchemaFactory
extends SchemaGroup
implements SchemaFactory, Configurable

Factory that uses database metadata to construct the system schema. The lazy schema factory only loads table data as it is requested. It does not properly support operations that require knowledge of the entire schema.

Constructor Summary
`LazySchemaFactory()`

Method Summary
`void` | `endConfiguration()` Invoked upon completion of bean property configuration for this object.
`Table` | `findTable(String name)` Find the table with the given name in the group, using '.' as the catalog separator.
`boolean` | `getForeignKeys()`
`boolean` | `getIndexes()`
`boolean` | `getPrimaryKeys()`
`SchemaGroup` | `readSchema()` Return the schema group for the current object model and database.
`void` | `setConfiguration(Configuration conf)` Invoked prior to setting bean properties.
`void` | `setForeignKeys(boolean fks)`
`void` | `setIndexes(boolean idx)`
`void` | `setPrimaryKeys(boolean pks)`
`void` | `startConfiguration()` Invoked before bean property configuration is begun on this object.
`void` | `storeSchema(SchemaGroup schema)` Record the schema group after changes may have been made.

Methods inherited from class kodo.jdbc.schema.SchemaGroup
`addSchema, addSchema, clone, findExportedForeignKeys, findTable, getSchema, getSchemas, importSchema, newColumn, newForeignKey, newIndex, newPrimaryKey, newSchema, newTable, removeSchema, removeUnusedComponents`

Methods inherited from class kodo.jdbc.schema.NameSet
`addName, isNameTaken, removeName`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LazySchemaFactory

    public LazySchemaFactory()

Method Detail

### getPrimaryKeys

    public boolean getPrimaryKeys()

### setPrimaryKeys

    public void setPrimaryKeys(boolean pks)

### getForeignKeys

    public boolean getForeignKeys()

### setForeignKeys

    public void setForeignKeys(boolean fks)

### getIndexes

    public boolean getIndexes()

### setIndexes

    public void setIndexes(boolean idx)

### readSchema

    public SchemaGroup readSchema()

  Description copied from interface: `SchemaFactory`
  Return the schema group for the current object model and database.
  Specified by:
    `readSchema` in interface `SchemaFactory`

### storeSchema

    public void storeSchema(SchemaGroup schema)

  Description copied from interface: `SchemaFactory`
  Record the schema group after changes may have been made.
  Specified by:
    `storeSchema` in interface `SchemaFactory`
  Following copied from interface: `kodo.jdbc.schema.SchemaFactory`
  Parameters:
    `schema` - the schema definition for the entire system

### findTable

    public Table findTable(String name)

  Description copied from class: `SchemaGroup`
  Find the table with the given name in the group, using '.' as the catalog separator. Returns null if no table found.
  Overrides:
    `findTable` in class `SchemaGroup`

### setConfiguration

    public void setConfiguration(Configuration conf)

  Description copied from interface: `Configurable`
  Invoked prior to setting bean properties.
  Specified by:
    `setConfiguration` in interface `Configurable`

### startConfiguration

    public void startConfiguration()

  Description copied from interface: `Configurable`
  Invoked before bean property configuration is begun on this object.
  Specified by:
    `startConfiguration` in interface `Configurable`

### endConfiguration

    public void endConfiguration()

  Description copied from interface: `Configurable`
  Invoked upon completion of bean property configuration for this object.
  Specified by:
    `endConfiguration` in interface `Configurable`

Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 3.2.4 generated on January 7 2005
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002 SolarMetric, Inc. All Rights Reserved.